# Filtering webhooks

Below is a list of attributes available for [filtering](/documentation/api-reference/filtering.md) webhooks.

<table><thead><tr><th width="362">Attribute</th><th>Type</th></tr></thead><tbody><tr><td><code>enabled</code></td><td>string</td></tr><tr><td><code>url</code></td><td>string</td></tr><tr><td><code>events</code></td><td>string</td></tr></tbody></table>

#### Example - Get all enabled webhooks

In the example below, we will request to get all enabled webhooks for completed clear checks.

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/webhooks?enabled=true&events=check.completed.clear \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

filtered = cc_api.webhooks.list(enabled=True)
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$webhooks = $ccapi->webhooks()->list(['enabled' => true]);
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.Webhooks;

var webhookApi = new WebhookApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var webhooks = await webhookApi.ListAsync(new WebhookRequest { enabled = true });
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/other-resources/webhooks/filtering-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
